Playbook Prompt Conditions
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
groupObjectIdentifierstring · uuidRequired
promptObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Query parameters
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
searchTextstringOptional
sortingstring · enumOptionalPossible values:
descbooleanOptionalDefault:
trueResponses
200
OK
objectIdentifierstring · uuidRequired
isYesboolean · nullableOptional
decimalAnswernumber · double · nullableOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
textAnswerstring · nullableOptional
fuzzyMatchboolean · nullableOptional
dateAnswerstring · date-time · nullableOptional
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateOperatorstring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
400
Bad Request
get/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions
GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"promptPredicate": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"description": "text",
"promptDataType": "boolean"
},
"isYes": true,
"decimalAnswer": 1,
"minimumDecimalAnswer": 1,
"maximumDecimalAnswer": 1,
"decimalOperator": "equal",
"textAnswer": "text",
"fuzzyMatch": true,
"dateAnswer": "2026-01-01T00:00:00.000Z",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-01-01T00:00:00.000Z",
"dateOperator": "equal",
"categories": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"category": "text"
}
],
"dateAdded": "2026-01-01T00:00:00.000Z"
}
]Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
groupObjectIdentifierstring · uuidRequired
promptObjectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Body
promptPredicateObjectIdentifierstring · uuidRequired
isYesboolean · nullableOptional
decimalAnswernumber · double · nullableOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
dateAnswerstring · date-time · nullableOptional
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateOperatorstring · enumOptionalPossible values:
Responses
201
Created
objectIdentifierstring · uuidRequired
isYesboolean · nullableOptional
decimalAnswernumber · double · nullableOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
textAnswerstring · nullableOptional
fuzzyMatchboolean · nullableOptional
dateAnswerstring · date-time · nullableOptional
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateOperatorstring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
400
Bad Request
post/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions
POST /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 355
{
"promptPredicateObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isYes": true,
"decimalAnswer": 1,
"minimumDecimalAnswer": 1,
"maximumDecimalAnswer": 1,
"decimalOperator": "equal",
"dateAnswer": "2026-01-01T00:00:00.000Z",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-01-01T00:00:00.000Z",
"dateOperator": "equal",
"categories": [
{
"category": "text"
}
]
}{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"promptPredicate": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"description": "text",
"promptDataType": "boolean"
},
"isYes": true,
"decimalAnswer": 1,
"minimumDecimalAnswer": 1,
"maximumDecimalAnswer": 1,
"decimalOperator": "equal",
"textAnswer": "text",
"fuzzyMatch": true,
"dateAnswer": "2026-01-01T00:00:00.000Z",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-01-01T00:00:00.000Z",
"dateOperator": "equal",
"categories": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"category": "text"
}
],
"dateAdded": "2026-01-01T00:00:00.000Z"
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
groupObjectIdentifierstring · uuidRequired
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
promptObjectIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
isYesboolean · nullableOptional
decimalAnswernumber · double · nullableOptional
minimumDecimalAnswernumber · double · nullableOptional
maximumDecimalAnswernumber · double · nullableOptional
decimalOperatorstring · enumOptionalPossible values:
textAnswerstring · nullableOptional
fuzzyMatchboolean · nullableOptional
dateAnswerstring · date-time · nullableOptional
startDatestring · date-time · nullableOptional
endDatestring · date-time · nullableOptional
dateOperatorstring · enumOptionalPossible values:
dateAddedstring · date-timeOptional
404
Not Found
get/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"promptPredicate": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"label": "text",
"description": "text",
"promptDataType": "boolean"
},
"isYes": true,
"decimalAnswer": 1,
"minimumDecimalAnswer": 1,
"maximumDecimalAnswer": 1,
"decimalOperator": "equal",
"textAnswer": "text",
"fuzzyMatch": true,
"dateAnswer": "2026-01-01T00:00:00.000Z",
"startDate": "2026-01-01T00:00:00.000Z",
"endDate": "2026-01-01T00:00:00.000Z",
"dateOperator": "equal",
"categories": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"category": "text"
}
],
"dateAdded": "2026-01-01T00:00:00.000Z"
}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
groupObjectIdentifierstring · uuidRequired
promptObjectIdentifierstring · uuidRequired
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
204
No Content
No content
404
Not Found
delete/playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/groups/{groupObjectIdentifier}/prompts/{promptObjectIdentifier}/conditions/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
